Page MenuHomePhabricator

"|" in Flickr description truncates it
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterSanitize flickr descriptions before pre-filling
mediawiki/extensions/UploadWizard : wmf/1.25wmf14Revert "Sanitize | characters in descriptions"
mediawiki/extensions/UploadWizard : wmf/1.25wmf15Revert "Sanitize | characters in descriptions"
mediawiki/extensions/UploadWizard : masterRevert "Sanitize | characters in descriptions"
mediawiki/extensions/UploadWizard : masterSanitize | characters in descriptions

Event Timeline

MarkTraceur claimed this task.
MarkTraceur raised the priority of this task from to Medium.
MarkTraceur updated the task description. (Show Details)
MarkTraceur moved this task to Next up on the Multimedia board.
MarkTraceur changed Security from none to None.
MarkTraceur added a subscriber: MarkTraceur.

Change 181425 had a related patch set uploaded (by MarkTraceur):
Sanitize | characters in descriptions

https://gerrit.wikimedia.org/r/181425

Patch-For-Review

Change 181425 merged by jenkins-bot:
Sanitize | characters in descriptions

https://gerrit.wikimedia.org/r/181425

Gilles closed this task as Resolved.Jan 14 2015, 3:49 PM
Gilles moved this task from Ready for testing to Doing on the Multimedia board.
Gilles added a subscriber: Gilles.
Tgr reopened this task as Open.Jan 16 2015, 7:37 PM
Tgr added a subscriber: Tgr.

This is causing major problems on Commons since it breaks templates included in the description.

Change 185487 had a related patch set uploaded (by Gergő Tisza):
Revert "Sanitize | characters in descriptions"

https://gerrit.wikimedia.org/r/185487

Patch-For-Review

Change 185487 merged by jenkins-bot:
Revert "Sanitize | characters in descriptions"

https://gerrit.wikimedia.org/r/185487

Change 185493 had a related patch set uploaded (by MarkTraceur):
Revert "Sanitize | characters in descriptions"

https://gerrit.wikimedia.org/r/185493

Patch-For-Review

Change 185494 had a related patch set uploaded (by MarkTraceur):
Revert "Sanitize | characters in descriptions"

https://gerrit.wikimedia.org/r/185494

Patch-For-Review

Change 185493 merged by MarkTraceur:
Revert "Sanitize | characters in descriptions"

https://gerrit.wikimedia.org/r/185493

Change 185494 merged by jenkins-bot:
Revert "Sanitize | characters in descriptions"

https://gerrit.wikimedia.org/r/185494

Tgr added a comment.Jan 17 2015, 12:23 AM

Reverted, backported. People put stuff like {{w|foo}} in descriptions, and that should continue to work. Seems hard to do without doing some lightweight wikitext parsing.

Escaping | as {{!}} (like @MarkTraceur did) should do the job, since the latter is a core parser function.

Tgr added a comment.Jan 17 2015, 12:48 AM

Escaping | as {{!}} (like @MarkTraceur did) should do the job, since the latter is a core parser function.

The problem is that some pipes should not be escaped at all. Photos by: Ernesto Di Stefano | George Pimentel Photography should be converted into description={{en|Photos by: Ernesto Di Stefano {{!}} George Pimentel Photography}} (or |, does not matter much) but Photos by: Ernesto Di Stefano {{w|George Pimentel Photography}} should result in description={{en|Photos by: Ernesto Di Stefano {{w|George Pimentel Photography}} }}.

Gilles moved this task from Doing to Next up on the Multimedia board.Jan 29 2015, 7:26 PM
Gilles lowered the priority of this task from Unbreak Now! to Low.Jan 29 2015, 7:43 PM
Gilles moved this task from Next up to Prototyping on the Multimedia board.
MarkTraceur moved this task from Prototyping to Next up on the Multimedia board.Feb 4 2015, 5:52 PM

Change 188823 had a related patch set uploaded (by MarkTraceur):
Sanitize flickr descriptions before pre-filling

https://gerrit.wikimedia.org/r/188823

Patch-For-Review

Change 188823 merged by jenkins-bot:
Sanitize flickr descriptions before pre-filling

https://gerrit.wikimedia.org/r/188823

Gilles closed this task as Resolved.Mar 18 2015, 1:24 PM